Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# pngmem.c File Reference

`#include "png.h"`

Include dependency graph for pngmem.c:

## Defines
#define | PNG_INTERNAL
## Functions
png_voidp | png_create_struct (int type)
png_voidp | png_create_struct_2 (int type, png_malloc_ptr malloc_fn, png_voidp mem_ptr)
void | png_destroy_struct (png_voidp struct_ptr)
void | png_destroy_struct_2 (png_voidp struct_ptr, png_free_ptr free_fn, png_voidp mem_ptr)
png_voidp | png_malloc (png_structp png_ptr, png_uint_32 size)
png_voidp | png_malloc_default (png_structp png_ptr, png_uint_32 size)
void | png_free (png_structp png_ptr, png_voidp ptr)
void | png_free_default (png_structp png_ptr, png_voidp ptr)
png_voidp | png_malloc_warn (png_structp png_ptr, png_uint_32 size)
png_voidp | png_memcpy_check (png_structp png_ptr, png_voidp s1, png_voidp s2, png_uint_32 length)
png_voidp | png_memset_check (png_structp png_ptr, png_voidp s1, int value, png_uint_32 length)
void | png_set_mem_fn (png_structp png_ptr, png_voidp mem_ptr, png_malloc_ptr malloc_fn, png_free_ptr free_fn)
png_voidp | png_get_mem_ptr (png_structp png_ptr)

## Define Documentation

#define PNG_INTERNAL

## Function Documentation

png_voidp png_create_struct | ( | int | type | ) |

png_voidp png_create_struct_2 | ( | int | type,
|  | png_malloc_ptr | malloc_fn,
|  | png_voidp | mem_ptr
| ) |

void png_destroy_struct | ( | png_voidp | struct_ptr | ) |

void png_destroy_struct_2 | ( | png_voidp | struct_ptr,
|  | png_free_ptr | free_fn,
|  | png_voidp | mem_ptr
| ) |

void png_free | ( | png_structp | png_ptr,
|  | png_voidp | ptr
| ) |

void png_free_default | ( | png_structp | png_ptr,
|  | png_voidp | ptr
| ) |

png_voidp png_get_mem_ptr | ( | png_structp | png_ptr | ) |

png_voidp png_malloc | ( | png_structp | png_ptr,
|  | png_uint_32 | size
| ) |

png_voidp png_malloc_default | ( | png_structp | png_ptr,
|  | png_uint_32 | size
| ) |

png_voidp png_malloc_warn | ( | png_structp | png_ptr,
|  | png_uint_32 | size
| ) |

png_voidp png_memcpy_check | ( | png_structp | png_ptr,
|  | png_voidp | s1,
|  | png_voidp | s2,
|  | png_uint_32 | length
| ) |

png_voidp png_memset_check | ( | png_structp | png_ptr,
|  | png_voidp | s1,
|  | int | value,
|  | png_uint_32 | length
| ) |

void png_set_mem_fn | ( | png_structp | png_ptr,
|  | png_voidp | mem_ptr,
|  | png_malloc_ptr | malloc_fn,
|  | png_free_ptr | free_fn
| ) |